Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.4/ServiceClients/HiveServiceClient.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.4/ServiceClients/HiveServiceClient.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.4/ServiceClients/HiveServiceClient.cs	(revision 5599)
@@ -181,32 +874,93 @@
     [System.Runtime.Serialization.DataContractAttribute(Name="HiveExperiment", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
         "nsfer")]
+    [System.SerializableAttribute()]
     public partial class HiveExperiment : HeuristicLab.Clients.Hive.NamedHiveItem
     {
         
-        private string ResourceIdsField;
-        
-        private System.Nullable<System.Guid> RootJobIdField;
-        
-        private System.Guid UserIdField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string ResourceIds
-        {
-            get
-            {
-                return this.ResourceIdsField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.ResourceIdsField, value) != true))
-                {
-                    this.ResourceIdsField = value;
-                    this.RaisePropertyChanged("ResourceIds");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<System.Guid> RootJobId
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.DateTime DateCreatedField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.Nullable<System.DateTime> LastAccessedField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.Guid OwnerUserIdField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private string ResourceNamesField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.Guid RootJobIdField;
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.DateTime DateCreated
+        {
+            get
+            {
+                return this.DateCreatedField;
+            }
+            set
+            {
+                if ((this.DateCreatedField.Equals(value) != true))
+                {
+                    this.DateCreatedField = value;
+                    this.RaisePropertyChanged("DateCreated");
+                }
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.Nullable<System.DateTime> LastAccessed
+        {
+            get
+            {
+                return this.LastAccessedField;
+            }
+            set
+            {
+                if ((this.LastAccessedField.Equals(value) != true))
+                {
+                    this.LastAccessedField = value;
+                    this.RaisePropertyChanged("LastAccessed");
+                }
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.Guid OwnerUserId
+        {
+            get
+            {
+                return this.OwnerUserIdField;
+            }
+            set
+            {
+                if ((this.OwnerUserIdField.Equals(value) != true))
+                {
+                    this.OwnerUserIdField = value;
+                    this.RaisePropertyChanged("OwnerUserId");
+                }
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public string ResourceNames
+        {
+            get
+            {
+                return this.ResourceNamesField;
+            }
+            set
+            {
+                if ((object.ReferenceEquals(this.ResourceNamesField, value) != true))
+                {
+                    this.ResourceNamesField = value;
+                    this.RaisePropertyChanged("ResourceNames");
+                }
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.Guid RootJobId
         {
             get
@@ -223,4 +977,59 @@
             }
         }
+    }
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
+    [System.Runtime.Serialization.DataContractAttribute(Name="Plugin", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
+        "nsfer")]
+    [System.SerializableAttribute()]
+    public partial class Plugin : HeuristicLab.Clients.Hive.NamedHiveItem
+    {
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.DateTime DateCreatedField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private bool IsLocalField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.Guid UserIdField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.Version VersionField;
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.DateTime DateCreated
+        {
+            get
+            {
+                return this.DateCreatedField;
+            }
+            set
+            {
+                if ((this.DateCreatedField.Equals(value) != true))
+                {
+                    this.DateCreatedField = value;
+                    this.RaisePropertyChanged("DateCreated");
+                }
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public bool IsLocal
+        {
+            get
+            {
+                return this.IsLocalField;
+            }
+            set
+            {
+                if ((this.IsLocalField.Equals(value) != true))
+                {
+                    this.IsLocalField = value;
+                    this.RaisePropertyChanged("IsLocal");
+                }
+            }
+        }
         
         [System.Runtime.Serialization.DataMemberAttribute()]
@@ -240,41 +1049,4 @@
             }
         }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="Project", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
-        "nsfer")]
-    public partial class Project : HeuristicLab.Clients.Hive.NamedHiveItem
-    {
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="HivePlugin", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
-        "nsfer")]
-    public partial class HivePlugin : HeuristicLab.Clients.Hive.NamedHiveItem
-    {
-        
-        private bool UpdateField;
-        
-        private System.Version VersionField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public bool Update
-        {
-            get
-            {
-                return this.UpdateField;
-            }
-            set
-            {
-                if ((this.UpdateField.Equals(value) != true))
-                {
-                    this.UpdateField = value;
-                    this.RaisePropertyChanged("Update");
-                }
-            }
-        }
         
         [System.Runtime.Serialization.DataMemberAttribute()]
@@ -291,31 +1063,4 @@
                     this.VersionField = value;
                     this.RaisePropertyChanged("Version");
-                }
-            }
-        }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="HivePluginData", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
-        "nsfer")]
-    public partial class HivePluginData : HeuristicLab.Clients.Hive.NamedHiveItem
-    {
-        
-        private byte[] DataField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public byte[] Data
-        {
-            get
-            {
-                return this.DataField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.DataField, value) != true))
-                {
-                    this.DataField = value;
-                    this.RaisePropertyChanged("Data");
                 }
             }
@@ -327,8 +1072,29 @@
     [System.Runtime.Serialization.DataContractAttribute(Name="Resource", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
         "nsfer")]
+    [System.SerializableAttribute()]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Clients.Hive.SlaveGroup))]
     [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Clients.Hive.Slave))]
     public partial class Resource : HeuristicLab.Clients.Hive.NamedHiveItem
     {
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.Nullable<System.Guid> ParentResourceIdField;
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.Nullable<System.Guid> ParentResourceId
+        {
+            get
+            {
+                return this.ParentResourceIdField;
+            }
+            set
+            {
+                if ((this.ParentResourceIdField.Equals(value) != true))
+                {
+                    this.ParentResourceIdField = value;
+                    this.RaisePropertyChanged("ParentResourceId");
+                }
+            }
+        }
     }
     
@@ -337,628 +1103,36 @@
     [System.Runtime.Serialization.DataContractAttribute(Name="SlaveGroup", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
         "nsfer")]
+    [System.SerializableAttribute()]
     public partial class SlaveGroup : HeuristicLab.Clients.Hive.Resource
     {
-        
-        private System.Guid[] ResourcesIdsField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid[] ResourcesIds
-        {
-            get
-            {
-                return this.ResourcesIdsField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.ResourcesIdsField, value) != true))
-                {
-                    this.ResourcesIdsField = value;
-                    this.RaisePropertyChanged("ResourcesIds");
-                }
-            }
-        }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    }
+    
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="Slave", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
+    [System.Runtime.Serialization.DataContractAttribute(Name="CpuArchitecture", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
         "nsfer")]
-    public partial class Slave : HeuristicLab.Clients.Hive.Resource
-    {
-        
-        private HeuristicLab.Clients.Hive.CalendarState CalendarSyncStatusField;
-        
-        private System.Nullable<int> CoresField;
-        
-        private System.Nullable<int> CpuSpeedPerCoreField;
-        
-        private System.Nullable<int> FreeCoresField;
-        
-        private System.Nullable<int> FreeMemoryField;
-        
-        private bool IsAllowedToCalculateField;
-        
-        private System.Nullable<int> MemoryField;
-        
-        private System.Guid SlaveConfigIdField;
-        
-        private HeuristicLab.Clients.Hive.SlaveState StateField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HeuristicLab.Clients.Hive.CalendarState CalendarSyncStatus
-        {
-            get
-            {
-                return this.CalendarSyncStatusField;
-            }
-            set
-            {
-                if ((this.CalendarSyncStatusField.Equals(value) != true))
-                {
-                    this.CalendarSyncStatusField = value;
-                    this.RaisePropertyChanged("CalendarSyncStatus");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<int> Cores
-        {
-            get
-            {
-                return this.CoresField;
-            }
-            set
-            {
-                if ((this.CoresField.Equals(value) != true))
-                {
-                    this.CoresField = value;
-                    this.RaisePropertyChanged("Cores");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<int> CpuSpeedPerCore
-        {
-            get
-            {
-                return this.CpuSpeedPerCoreField;
-            }
-            set
-            {
-                if ((this.CpuSpeedPerCoreField.Equals(value) != true))
-                {
-                    this.CpuSpeedPerCoreField = value;
-                    this.RaisePropertyChanged("CpuSpeedPerCore");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<int> FreeCores
-        {
-            get
-            {
-                return this.FreeCoresField;
-            }
-            set
-            {
-                if ((this.FreeCoresField.Equals(value) != true))
-                {
-                    this.FreeCoresField = value;
-                    this.RaisePropertyChanged("FreeCores");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<int> FreeMemory
-        {
-            get
-            {
-                return this.FreeMemoryField;
-            }
-            set
-            {
-                if ((this.FreeMemoryField.Equals(value) != true))
-                {
-                    this.FreeMemoryField = value;
-                    this.RaisePropertyChanged("FreeMemory");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public bool IsAllowedToCalculate
-        {
-            get
-            {
-                return this.IsAllowedToCalculateField;
-            }
-            set
-            {
-                if ((this.IsAllowedToCalculateField.Equals(value) != true))
-                {
-                    this.IsAllowedToCalculateField = value;
-                    this.RaisePropertyChanged("IsAllowedToCalculate");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<int> Memory
-        {
-            get
-            {
-                return this.MemoryField;
-            }
-            set
-            {
-                if ((this.MemoryField.Equals(value) != true))
-                {
-                    this.MemoryField = value;
-                    this.RaisePropertyChanged("Memory");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid SlaveConfigId
-        {
-            get
-            {
-                return this.SlaveConfigIdField;
-            }
-            set
-            {
-                if ((this.SlaveConfigIdField.Equals(value) != true))
-                {
-                    this.SlaveConfigIdField = value;
-                    this.RaisePropertyChanged("SlaveConfigId");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HeuristicLab.Clients.Hive.SlaveState State
-        {
-            get
-            {
-                return this.StateField;
-            }
-            set
-            {
-                if ((this.StateField.Equals(value) != true))
-                {
-                    this.StateField = value;
-                    this.RaisePropertyChanged("State");
-                }
-            }
-        }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    public enum CpuArchitecture : int
+    {
+        
+        [System.Runtime.Serialization.EnumMemberAttribute()]
+        x86 = 0,
+        
+        [System.Runtime.Serialization.EnumMemberAttribute()]
+        x64 = 1,
+    }
+    
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="Appointment", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
+    [System.Runtime.Serialization.DataContractAttribute(Name="SlaveState", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
         "nsfer")]
-    public partial class Appointment : HeuristicLab.Clients.Hive.HiveItem
-    {
-        
-        private bool AllDayEventField;
-        
-        private System.DateTime EndDateField;
-        
-        private bool RecurringField;
-        
-        private System.Guid RecurringIdField;
-        
-        private System.Guid ResourceIdField;
-        
-        private System.DateTime StartDateField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public bool AllDayEvent
-        {
-            get
-            {
-                return this.AllDayEventField;
-            }
-            set
-            {
-                if ((this.AllDayEventField.Equals(value) != true))
-                {
-                    this.AllDayEventField = value;
-                    this.RaisePropertyChanged("AllDayEvent");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.DateTime EndDate
-        {
-            get
-            {
-                return this.EndDateField;
-            }
-            set
-            {
-                if ((this.EndDateField.Equals(value) != true))
-                {
-                    this.EndDateField = value;
-                    this.RaisePropertyChanged("EndDate");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public bool Recurring
-        {
-            get
-            {
-                return this.RecurringField;
-            }
-            set
-            {
-                if ((this.RecurringField.Equals(value) != true))
-                {
-                    this.RecurringField = value;
-                    this.RaisePropertyChanged("Recurring");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid RecurringId
-        {
-            get
-            {
-                return this.RecurringIdField;
-            }
-            set
-            {
-                if ((this.RecurringIdField.Equals(value) != true))
-                {
-                    this.RecurringIdField = value;
-                    this.RaisePropertyChanged("RecurringId");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid ResourceId
-        {
-            get
-            {
-                return this.ResourceIdField;
-            }
-            set
-            {
-                if ((this.ResourceIdField.Equals(value) != true))
-                {
-                    this.ResourceIdField = value;
-                    this.RaisePropertyChanged("ResourceId");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.DateTime StartDate
-        {
-            get
-            {
-                return this.StartDateField;
-            }
-            set
-            {
-                if ((this.StartDateField.Equals(value) != true))
-                {
-                    this.StartDateField = value;
-                    this.RaisePropertyChanged("StartDate");
-                }
-            }
-        }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="LightweightJob", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
-        "nsfer")]
-    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Clients.Hive.Job))]
-    public partial class LightweightJob : HeuristicLab.Clients.Hive.HiveItem
-    {
-        
-        private System.Nullable<System.DateTime> DateCalculatedField;
-        
-        private System.Nullable<System.DateTime> DateCreatedField;
-        
-        private System.Nullable<System.DateTime> DateFinishedField;
-        
-        private string ExceptionField;
-        
-        private System.TimeSpan ExecutionTimeField;
-        
-        private System.Nullable<System.Guid> ParentJobIdField;
-        
-        private System.Guid SlaveIdField;
-        
-        private HeuristicLab.Clients.Hive.JobState StateField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<System.DateTime> DateCalculated
-        {
-            get
-            {
-                return this.DateCalculatedField;
-            }
-            set
-            {
-                if ((this.DateCalculatedField.Equals(value) != true))
-                {
-                    this.DateCalculatedField = value;
-                    this.RaisePropertyChanged("DateCalculated");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<System.DateTime> DateCreated
-        {
-            get
-            {
-                return this.DateCreatedField;
-            }
-            set
-            {
-                if ((this.DateCreatedField.Equals(value) != true))
-                {
-                    this.DateCreatedField = value;
-                    this.RaisePropertyChanged("DateCreated");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<System.DateTime> DateFinished
-        {
-            get
-            {
-                return this.DateFinishedField;
-            }
-            set
-            {
-                if ((this.DateFinishedField.Equals(value) != true))
-                {
-                    this.DateFinishedField = value;
-                    this.RaisePropertyChanged("DateFinished");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public string Exception
-        {
-            get
-            {
-                return this.ExceptionField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.ExceptionField, value) != true))
-                {
-                    this.ExceptionField = value;
-                    this.RaisePropertyChanged("Exception");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.TimeSpan ExecutionTime
-        {
-            get
-            {
-                return this.ExecutionTimeField;
-            }
-            set
-            {
-                if ((this.ExecutionTimeField.Equals(value) != true))
-                {
-                    this.ExecutionTimeField = value;
-                    this.RaisePropertyChanged("ExecutionTime");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Nullable<System.Guid> ParentJobId
-        {
-            get
-            {
-                return this.ParentJobIdField;
-            }
-            set
-            {
-                if ((this.ParentJobIdField.Equals(value) != true))
-                {
-                    this.ParentJobIdField = value;
-                    this.RaisePropertyChanged("ParentJobId");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid SlaveId
-        {
-            get
-            {
-                return this.SlaveIdField;
-            }
-            set
-            {
-                if ((this.SlaveIdField.Equals(value) != true))
-                {
-                    this.SlaveIdField = value;
-                    this.RaisePropertyChanged("SlaveId");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public HeuristicLab.Clients.Hive.JobState State
-        {
-            get
-            {
-                return this.StateField;
-            }
-            set
-            {
-                if ((this.StateField.Equals(value) != true))
-                {
-                    this.StateField = value;
-                    this.RaisePropertyChanged("State");
-                }
-            }
-        }
-    }
-    
-    [System.Diagnostics.DebuggerStepThroughAttribute()]
-    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
-    [System.Runtime.Serialization.DataContractAttribute(Name="Job", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Hive.Common.DataTra" +
-        "nsfer")]
-    public partial class Job : HeuristicLab.Clients.Hive.LightweightJob
-    {
-        
-        private System.Guid[] AssignedResourceIdsField;
-        
-        private int CoresNeededField;
-        
-        private int MemoryNeededField;
-        
-        private System.Guid[] PluginsNeededIdsField;
-        
-        private int PriorityField;
-        
-        private System.Guid ProjectIdField;
-        
-        private System.Guid UserIdField;
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid[] AssignedResourceIds
-        {
-            get
-            {
-                return this.AssignedResourceIdsField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.AssignedResourceIdsField, value) != true))
-                {
-                    this.AssignedResourceIdsField = value;
-                    this.RaisePropertyChanged("AssignedResourceIds");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public int CoresNeeded
-        {
-            get
-            {
-                return this.CoresNeededField;
-            }
-            set
-            {
-                if ((this.CoresNeededField.Equals(value) != true))
-                {
-                    this.CoresNeededField = value;
-                    this.RaisePropertyChanged("CoresNeeded");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public int MemoryNeeded
-        {
-            get
-            {
-                return this.MemoryNeededField;
-            }
-            set
-            {
-                if ((this.MemoryNeededField.Equals(value) != true))
-                {
-                    this.MemoryNeededField = value;
-                    this.RaisePropertyChanged("MemoryNeeded");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid[] PluginsNeededIds
-        {
-            get
-            {
-                return this.PluginsNeededIdsField;
-            }
-            set
-            {
-                if ((object.ReferenceEquals(this.PluginsNeededIdsField, value) != true))
-                {
-                    this.PluginsNeededIdsField = value;
-                    this.RaisePropertyChanged("PluginsNeededIds");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public int Priority
-        {
-            get
-            {
-                return this.PriorityField;
-            }
-            set
-            {
-                if ((this.PriorityField.Equals(value) != true))
-                {
-                    this.PriorityField = value;
-                    this.RaisePropertyChanged("Priority");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid ProjectId
-        {
-            get
-            {
-                return this.ProjectIdField;
-            }
-            set
-            {
-                if ((this.ProjectIdField.Equals(value) != true))
-                {
-                    this.ProjectIdField = value;
-                    this.RaisePropertyChanged("ProjectId");
-                }
-            }
-        }
-        
-        [System.Runtime.Serialization.DataMemberAttribute()]
-        public System.Guid UserId
-        {
-            get
-            {
-                return this.UserIdField;
-            }
-            set
-            {
-                if ((this.UserIdField.Equals(value) != true))
-                {
-                    this.UserIdField = value;
-                    this.RaisePropertyChanged("UserId");
-                }
-            }
-        }
+    public enum SlaveState : int
+    {
+        
+        [System.Runtime.Serialization.EnumMemberAttribute()]
+        Idle = 0,
+        
+        [System.Runtime.Serialization.EnumMemberAttribute()]
+        Calculating = 1,
+        
+        [System.Runtime.Serialization.EnumMemberAttribute()]
+        Offline = 2,
     }
     
@@ -970,5 +1144,5 @@
         
         [System.Runtime.Serialization.EnumMemberAttribute()]
-        Calculating = 0,
+        Offline = 0,
         
         [System.Runtime.Serialization.EnumMemberAttribute()]
